Can't access GUI webpage

Dorin

Member
Sep 11, 2017
33
2
8
30
Hi,
you have damaged your installation!

How looks the output of
Code:
dpkg -l | grep pve
Udo
I wonder how it was possible? :)
Code:
# dpkg -l | grep pve
ii  corosync                             2.4.2-pve3                     amd64                                                       cluster engine daemon and utilities
ii  dmeventd                             2:1.02.137-pve6                amd64                                                       Linux Kernel Device Mapper event daemon
ii  dmsetup                              2:1.02.137-pve6                amd64                                                       Linux Kernel Device Mapper userspace library
ii  grub-common                          2.02-pve6                      amd64                                                       GRand Unified Bootloader (common files)
ii  grub-efi-amd64-bin                   2.02-pve6                      amd64                                                       GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
ii  grub-efi-ia32-bin                    2.02-pve6                      amd64                                                       GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
ii  grub-pc                              2.02-pve6                      amd64                                                       GRand Unified Bootloader, version 2 (PC/BIOS version)
ii  grub-pc-bin                          2.02-pve6                      amd64                                                       GRand Unified Bootloader, version 2 (PC/BIOS binaries)
ii  grub2-common                         2.02-pve6                      amd64                                                       GRand Unified Bootloader (common files for version 2)
ii  libcfg6:amd64                        2.4.2-pve3                     amd64                                                       cluster engine CFG library
ii  libcmap4:amd64                       2.4.2-pve3                     amd64                                                       cluster engine CMAP library
ii  libcorosync-common4:amd64            2.4.2-pve3                     amd64                                                       cluster engine common library
ii  libcpg4:amd64                        2.4.2-pve3                     amd64                                                       cluster engine CPG library
ii  libdevmapper-event1.02.1:amd64       2:1.02.137-pve6                amd64                                                       Linux Kernel Device Mapper event support library
ii  libdevmapper1.02.1:amd64             2:1.02.137-pve6                amd64                                                       Linux Kernel Device Mapper userspace library
ii  liblvm2app2.2:amd64                  2.02.168-pve6                  amd64                                                       LVM2 application library
ii  liblvm2cmd2.02:amd64                 2.02.168-pve6                  amd64                                                       LVM2 command library
ii  libnvpair1linux                      0.7.3-pve1~bpo9                amd64                                                       Solaris name-value library for Linux
ii  libpve-access-control                5.0-7                          amd64                                                       Proxmox VE access control library
ii  libpve-common-perl                   5.0-25                         all                                                         Proxmox VE base library
ii  libpve-http-server-perl              2.0-8                          all                                                         Proxmox Asynchrounous HTTP Server Implementation
ii  libquorum5:amd64                     2.4.2-pve3                     amd64                                                       cluster engine Quorum library
ii  libtotem-pg5:amd64                   2.4.2-pve3                     amd64                                                       cluster engine Totem library
ii  libuutil1linux                       0.7.3-pve1~bpo9                amd64                                                       Solaris userland utility library for Linux
ii  libvotequorum8:amd64                 2.4.2-pve3                     amd64                                                       cluster engine Votequorum library
ii  libzfs2linux                         0.7.3-pve1~bpo9                amd64                                                       OpenZFS filesystem library for Linux
ii  libzpool2linux                       0.7.3-pve1~bpo9                amd64                                                       OpenZFS pool library for Linux
ii  lvm2                                 2.02.168-pve6                  amd64                                                       Linux Logical Volume Manager
ii  lxc-pve                              2.1.1-2                        amd64                                                       Linux containers usersapce tools
ii  novnc-pve                            0.6-4                          amd64                                                       HTML5 VNC client
ii  pve-cluster                          5.0-19                         amd64                                                       Cluster Infrastructure for Proxmox Virtual Environment
ii  pve-docs                             5.1-12                         all                                                         Proxmox VE Documentation
ii  pve-firewall                         3.0-5                          amd64                                                       Proxmox VE Firewall
ii  pve-firmware                         2.0-3                          all                                                         Binary firmware code for the pve-kernel
ii  pve-kernel-4.13.13-2-pve             4.13.13-32                     amd64                                                       The Proxmox PVE Kernel Image
ii  pve-libspice-server1                 0.12.8-3                       amd64                                                       SPICE remote display system server library
ii  pve-qemu-kvm                         2.9.1-5                        amd64                                                       Full virtualization on x86 hardware
ii  pve-xtermjs                          1.0-2                          amd64                                                       HTML/JS Shell client
ii  spl                                  0.7.3-pve1~bpo9                amd64                                                       Solaris Porting Layer user-space utilities for Linux
ii  tar                                  1.29b-2+pve.1                  amd64                                                       GNU version of the tar archiving utility
ii  zfs-initramfs                        0.7.3-pve1~bpo9                all                                                         OpenZFS root filesystem capabilities for Linux - initramfs
ii  zfsutils-linux                       0.7.3-pve1~bpo9                amd64                                                       command-line tools to manage OpenZFS filesystems
I just installed Proxmox today.. and played a little bit with NFS shares...
Thanks!
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
14,353
546
133
check your package ist with:

> pveversion -v

install missing packages:

> apt update
> apt install proxmox-ve
 

Dorin

Member
Sep 11, 2017
33
2
8
30
check your package ist with:

> pveversion -v

install missing packages:

> apt update
> apt install proxmox-ve
Code:
# pveversion -v
-bash: pveversion: command not found

Code:
# apt update
...
3 packages can be upgraded. Run 'apt list --upgradable' to see them.

Code:
# apt install proxmox-ve
...
E: Unable to locate package proxmox-ve


Code:
# apt list --upgradable
Listing... Done
libssl1.0.2/stable 1.0.2l-2+deb9u2 amd64 [upgradable from: 1.0.2l-2+deb9u1]
rsync/stable 3.1.2-1+deb9u1 amd64 [upgradable from: 3.1.2-1]
sensible-utils/stable 0.0.9+deb9u1 all [upgradable from: 0.0.9]
 

udo

Famous Member
Apr 22, 2009
5,888
166
83
Ahrensburg; Germany
Code:
# pveversion -v
-bash: pveversion: command not found

Code:
# apt update
...
3 packages can be upgraded. Run 'apt list --upgradable' to see them.

Code:
# apt install proxmox-ve
...
E: Unable to locate package proxmox-ve


Code:
# apt list --upgradable
Listing... Done
libssl1.0.2/stable 1.0.2l-2+deb9u2 amd64 [upgradable from: 1.0.2l-2+deb9u1]
rsync/stable 3.1.2-1+deb9u1 amd64 [upgradable from: 3.1.2-1]
sensible-utils/stable 0.0.9+deb9u1 all [upgradable from: 0.0.9]
Hi,
looks that your sources.list are not right?!

and pve-manager is missing:
Code:
dpkg -S pvesh
pve-manager: /usr/bin/pvesh
pve-manager: /usr/share/man/man1/pvesh.1.gz
about the sources: after installation the enterprise repo ist installed.
See here: https://pve.proxmox.com/wiki/Package_Repositories
If you don't have an subscription (for testing/at home) use the pve-no-subscription repo.

Udo
 

Dorin

Member
Sep 11, 2017
33
2
8
30
Hi,
looks that your sources.list are not right?!

and pve-manager is missing:
Code:
dpkg -S pvesh
pve-manager: /usr/bin/pvesh
pve-manager: /usr/share/man/man1/pvesh.1.gz
about the sources: after installation the enterprise repo ist installed.
See here: https://pve.proxmox.com/wiki/Package_Repositories
If you don't have an subscription (for testing/at home) use the pve-no-subscription repo.

Udo
Code:
dpkg -S pvesh
dpkg-query: no path found matching pattern *pvesh*

FIle /etc/apt/sources.list
Code:
deb http://ftp.debian.org/debian stretch main contrib
deb http://security.debian.org stretch/updates main contrib
Update, ok.
Install, didn't works..

Is very easy to reinstall the operating system, but it would be much more benefit to resolve the issue step by step.
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
14,353
546
133
Code:
dpkg -S pvesh
dpkg-query: no path found matching pattern *pvesh*

FIle /etc/apt/sources.list
Code:
deb http://ftp.debian.org/debian stretch main contrib
deb http://security.debian.org stretch/updates main contrib
Update, ok.
Install, didn't works..

Is very easy to reinstall the operating system, but it would be much more benefit to resolve the issue step by step.
You missed to configure a Proxmox VE repo.

Either upload a subscription key or configure the pve-no-subscription repo.

See https://pve.proxmox.com/wiki/Package_Repositories
 

Dorin

Member
Sep 11, 2017
33
2
8
30
Hi,
take a look in /etc/apt/sources.list.d/

Udo
- From "Proxmox VE No-Subscription Repository" section..
File "/etc/apt/sources.list":
deb http://ftp.debian.org/debian stretch main contrib
deb http://security.debian.org stretch/updates main contrib

I have this file configuration.


- From "Proxmox VE Enterprise Repository" section..
File "/etc/apt/sources.list.d/pve-enterprise.list":
deb https://enterprise.proxmox.com/debian/pve stretch pve-enterprise

Initially "sources.list.d" was empty, therefore i have created the required file.


Code:
# chmod 755 /etc/apt/sources.list.d/pve-enterprise.list

# apt update

Ign:1 http://ftp.debian.org/debian stretch InRelease
Hit:2 http://ftp.debian.org/debian stretch Release
Get:3 http://security.debian.org stretch/updates InRelease [63.0 kB]
Ign:5 https://enterprise.proxmox.com/debian/pve stretch InRelease
Err:6 https://enterprise.proxmox.com/debian/pve stretch Release
  401  Unauthorized
Reading package lists... Done
E: The repository 'https://enterprise.proxmox.com/debian/pve stretch Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

# apt install proxmox-ve

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package proxmox-ve

I don't have a subscription key.
 

jlkzer

New Member
Nov 21, 2017
1
0
1
30
What is the output of:
curl -s -k https://localhost:8006 | grep title

on your proxmox server ?

Please note you need to install the 'curl' package if needed.

You should get something like:

<title>Proxmox Virtual Environment</title>


If this curl command works, it means the web gui is active and able to process
same problem here. can ssh in but cannot access web interface. did the curl command and it worked. any advice?
 

Dorin

Member
Sep 11, 2017
33
2
8
30
I deleted the file created before, "/etc/apt/sources.list.d/pve-enterprise.list".

I modified the "/etc/apt/sources.list" file:
deb http://ftp.debian.org/debian stretch main contrib
deb http://download.proxmox.com/debian/pve stretch pve-no-subscription
deb http://security.debian.org stretch/updates main contrib

I run the following commands and didn't worked:
Code:
# apt update
Ign:1 http://ftp.debian.org/debian stretch InRelease
Hit:2 http://ftp.debian.org/debian stretch Release
Get:3 http://security.debian.org stretch/updates InRelease [63.0 kB]
Get:5 http://download.proxmox.com/debian/pve stretch InRelease [3,058 B]
Get:6 http://security.debian.org stretch/updates/main amd64 Packages [252 kB]
Err:5 http://download.proxmox.com/debian/pve stretch InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0D9A1950E2EF0603
Get:7 http://security.debian.org stretch/updates/main Translation-en [110 kB]
Reading package lists... Done
W: GPG error: http://download.proxmox.com/debian/pve stretch InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0D9A1950E2EF0603
E: The repository 'http://download.proxmox.com/debian/pve stretch InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

# apt install proxmox-ve
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package proxmox-ve

# dpkg -l | grep pve
ii  corosync                             2.4.2-pve3                     amd64        cluster engine daemon and utilities
ii  dmeventd                             2:1.02.137-pve6                amd64        Linux Kernel Device Mapper event daemon
ii  dmsetup                              2:1.02.137-pve6                amd64        Linux Kernel Device Mapper userspace library
ii  grub-common                          2.02-pve6                      amd64        GRand Unified Bootloader (common files)
ii  grub-efi-amd64-bin                   2.02-pve6                      amd64        GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
ii  grub-efi-ia32-bin                    2.02-pve6                      amd64        GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
ii  grub-pc                              2.02-pve6                      amd64        GRand Unified Bootloader, version 2 (PC/BIOS version)
ii  grub-pc-bin                          2.02-pve6                      amd64        GRand Unified Bootloader, version 2 (PC/BIOS binaries)
ii  grub2-common                         2.02-pve6                      amd64        GRand Unified Bootloader (common files for version 2)
ii  libcfg6:amd64                        2.4.2-pve3                     amd64        cluster engine CFG library
ii  libcmap4:amd64                       2.4.2-pve3                     amd64        cluster engine CMAP library
ii  libcorosync-common4:amd64            2.4.2-pve3                     amd64        cluster engine common library
ii  libcpg4:amd64                        2.4.2-pve3                     amd64        cluster engine CPG library
ii  libdevmapper-event1.02.1:amd64       2:1.02.137-pve6                amd64        Linux Kernel Device Mapper event support library
ii  libdevmapper1.02.1:amd64             2:1.02.137-pve6                amd64        Linux Kernel Device Mapper userspace library
ii  liblvm2app2.2:amd64                  2.02.168-pve6                  amd64        LVM2 application library
ii  liblvm2cmd2.02:amd64                 2.02.168-pve6                  amd64        LVM2 command library
ii  libnvpair1linux                      0.7.3-pve1~bpo9                amd64        Solaris name-value library for Linux
ii  libpve-access-control                5.0-7                          amd64        Proxmox VE access control library
ii  libpve-common-perl                   5.0-25                         all          Proxmox VE base library
ii  libpve-http-server-perl              2.0-8                          all          Proxmox Asynchrounous HTTP Server Implementation
ii  libquorum5:amd64                     2.4.2-pve3                     amd64        cluster engine Quorum library
ii  libtotem-pg5:amd64                   2.4.2-pve3                     amd64        cluster engine Totem library
ii  libuutil1linux                       0.7.3-pve1~bpo9                amd64        Solaris userland utility library for Linux
ii  libvotequorum8:amd64                 2.4.2-pve3                     amd64        cluster engine Votequorum library
ii  libzfs2linux                         0.7.3-pve1~bpo9                amd64        OpenZFS filesystem library for Linux
ii  libzpool2linux                       0.7.3-pve1~bpo9                amd64        OpenZFS pool library for Linux
ii  lvm2                                 2.02.168-pve6                  amd64        Linux Logical Volume Manager
ii  lxc-pve                              2.1.1-2                        amd64        Linux containers usersapce tools
ii  novnc-pve                            0.6-4                          amd64        HTML5 VNC client
ii  pve-cluster                          5.0-19                         amd64        Cluster Infrastructure for Proxmox Virtual Environment
ii  pve-docs                             5.1-12                         all          Proxmox VE Documentation
ii  pve-firewall                         3.0-5                          amd64        Proxmox VE Firewall
ii  pve-firmware                         2.0-3                          all          Binary firmware code for the pve-kernel
ii  pve-kernel-4.13.13-2-pve             4.13.13-32                     amd64        The Proxmox PVE Kernel Image
ii  pve-libspice-server1                 0.12.8-3                       amd64        SPICE remote display system server library
ii  pve-qemu-kvm                         2.9.1-5                        amd64        Full virtualization on x86 hardware
ii  pve-xtermjs                          1.0-2                          amd64        HTML/JS Shell client
ii  spl                                  0.7.3-pve1~bpo9                amd64        Solaris Porting Layer user-space utilities for Linux
ii  tar                                  1.29b-2+pve.1                  amd64        GNU version of the tar archiving utility
ii  zfs-initramfs                        0.7.3-pve1~bpo9                all          OpenZFS root filesystem capabilities for Linux - initramfs
ii  zfsutils-linux                       0.7.3-pve1~bpo9                amd64        command-line tools to manage OpenZFS filesystems
Thanks and happy holidays!
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
14,353
546
133
Add the Proxmox VE repository key:

Code:
wget http://download.proxmox.com/debian/proxmox-ve-release-5.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg
and try again.
 

Dorin

Member
Sep 11, 2017
33
2
8
30
Add the Proxmox VE repository key:

Code:
wget http://download.proxmox.com/debian/proxmox-ve-release-5.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg
and try again.
The web interface has been restored and is working, but my NFS share has disappeared from network. I will check this.
Add the Proxmox VE repository key:

Code:
wget http://download.proxmox.com/debian/proxmox-ve-release-5.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg
and try again.
The web interface has been restored and is working. Thanks.

Code:
# wget http://download.proxmox.com/debian/proxmox-ve-release-5.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg
--2017-12-25 20:00:40--  http://download.proxmox.com/debian/proxmox-ve-release-5.x.gpg
Resolving download.proxmox.com (download.proxmox.com)... 212.224.123.70, 2a01:7e0:0:424::249
Connecting to download.proxmox.com (download.proxmox.com)|212.224.123.70|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1181 (1.2K) [application/octet-stream]
Saving to: ‘/etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg’

/etc/apt/trusted.gpg.d/proxmox-ve-re 100%[======================================================================>]   1.15K  --.-KB/s    in 0s

2017-12-25 20:00:40 (303 MB/s) - ‘/etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg’ saved [1181/1181]



# md5sum /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg
511d36d0f1350c01c42a3dc9f3c27939  /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg


# apt update
Ign:1 http://ftp.debian.org/debian stretch InRelease
Hit:2 http://ftp.debian.org/debian stretch Release
Get:3 http://download.proxmox.com/debian/pve stretch InRelease [3,058 B]
Get:4 http://security.debian.org stretch/updates InRelease [63.0 kB]
Get:6 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 Packages [155 kB]
Fetched 218 kB in 0s (338 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
1 package can be upgraded. Run 'apt list --upgradable' to see it.



# apt list --upgradable
Listing... Done
linux-libc-dev/stable 4.9.65-3+deb9u1 amd64 [upgradable from: 4.9.65-3]
N: There is 1 additional version. Please use the '-a' switch to see it



# apt install proxmox-ve
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  libpve-guest-common-perl libpve-storage-perl pve-container pve-ha-manager pve-manager qemu-server
The following NEW packages will be installed:
  libpve-guest-common-perl libpve-storage-perl proxmox-ve pve-container pve-ha-manager pve-manager qemu-server
0 upgraded, 7 newly installed, 0 to remove and 1 not upgraded.
Need to get 2,387 kB of archives.
After this operation, 11.4 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 libpve-storage-perl all 5.0-17 [75.7 kB]
Get:2 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 libpve-guest-common-perl all 2.0-14 [15.8 kB]
Get:3 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 qemu-server amd64 5.0-18 [152 kB]
Get:4 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-ha-manager amd64 2.0-4 [52.5 kB]
Get:5 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-container all 2.0-18 [94.8 kB]
Get:6 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 pve-manager amd64 5.1-41 [1,991 kB]
Get:7 http://download.proxmox.com/debian/pve stretch/pve-no-subscription amd64 proxmox-ve all 5.1-32 [5,280 B]
Fetched 2,387 kB in 0s (4,945 kB/s)
Preconfiguring packages ...
Selecting previously unselected package libpve-storage-perl.
(Reading database ... 39530 files and directories currently installed.)
Preparing to unpack .../0-libpve-storage-perl_5.0-17_all.deb ...
Unpacking libpve-storage-perl (5.0-17) ...
Selecting previously unselected package libpve-guest-common-perl.
Preparing to unpack .../1-libpve-guest-common-perl_2.0-14_all.deb ...
Unpacking libpve-guest-common-perl (2.0-14) ...
Selecting previously unselected package qemu-server.
Preparing to unpack .../2-qemu-server_5.0-18_amd64.deb ...
Unpacking qemu-server (5.0-18) ...
Selecting previously unselected package pve-ha-manager.
Preparing to unpack .../3-pve-ha-manager_2.0-4_amd64.deb ...
Unpacking pve-ha-manager (2.0-4) ...
Selecting previously unselected package pve-container.
Preparing to unpack .../4-pve-container_2.0-18_all.deb ...
Unpacking pve-container (2.0-18) ...
Selecting previously unselected package pve-manager.
Preparing to unpack .../5-pve-manager_5.1-41_amd64.deb ...
Detected old pve-manager version - using stop/start to restart daemons
Unpacking pve-manager (5.1-41) ...
Selecting previously unselected package proxmox-ve.
Preparing to unpack .../6-proxmox-ve_5.1-32_all.deb ...
Unpacking proxmox-ve (5.1-32) ...
Setting up libpve-storage-perl (5.0-17) ...
Processing triggers for systemd (232-25+deb9u1) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up libpve-guest-common-perl (2.0-14) ...
Setting up qemu-server (5.0-18) ...
Setting up pve-ha-manager (2.0-4) ...
Created symlink /etc/systemd/system/multi-user.target.wants/pve-ha-crm.service → /lib/systemd/system/pve-ha-crm.service.
Created symlink /etc/systemd/system/multi-user.target.wants/pve-ha-lrm.service → /lib/systemd/system/pve-ha-lrm.service.
watchdog-mux.service is a disabled or a static unit, not starting it.
Setting up pve-container (2.0-18) ...
Setting up pve-manager (5.1-41) ...
Created symlink /etc/systemd/system/timers.target.wants/pvesr.timer → /lib/systemd/system/pvesr.timer.
Created symlink /etc/systemd/system/multi-user.target.wants/pvedaemon.service → /lib/systemd/system/pvedaemon.service.
Created symlink /etc/systemd/system/multi-user.target.wants/pveproxy.service → /lib/systemd/system/pveproxy.service.
Created symlink /etc/systemd/system/multi-user.target.wants/spiceproxy.service → /lib/systemd/system/spiceproxy.service.
Created symlink /etc/systemd/system/multi-user.target.wants/pvestatd.service → /lib/systemd/system/pvestatd.service.
Created symlink /etc/systemd/system/getty.target.wants/pvebanner.service → /lib/systemd/system/pvebanner.service.
Created symlink /etc/systemd/system/sysinit.target.wants/pvenetcommit.service → /lib/systemd/system/pvenetcommit.service.
Created symlink /etc/systemd/system/pve-manager.service → /lib/systemd/system/pve-guests.service.
Created symlink /etc/systemd/system/multi-user.target.wants/pve-guests.service → /lib/systemd/system/pve-guests.service.
Setting up proxmox-ve (5.1-32) ...
Processing triggers for pve-ha-manager (2.0-4) ...
Processing triggers for systemd (232-25+deb9u1) ...



# dpkg -l | grep pve
ii  corosync                             2.4.2-pve3                     amd64        cluster engine daemon and utilities
ii  dmeventd                             2:1.02.137-pve6                amd64        Linux Kernel Device Mapper event daemon
ii  dmsetup                              2:1.02.137-pve6                amd64        Linux Kernel Device Mapper userspace library
ii  grub-common                          2.02-pve6                      amd64        GRand Unified Bootloader (common files)
ii  grub-efi-amd64-bin                   2.02-pve6                      amd64        GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
ii  grub-efi-ia32-bin                    2.02-pve6                      amd64        GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
ii  grub-pc                              2.02-pve6                      amd64        GRand Unified Bootloader, version 2 (PC/BIOS version)
ii  grub-pc-bin                          2.02-pve6                      amd64        GRand Unified Bootloader, version 2 (PC/BIOS binaries)
ii  grub2-common                         2.02-pve6                      amd64        GRand Unified Bootloader (common files for version 2)
ii  libcfg6:amd64                        2.4.2-pve3                     amd64        cluster engine CFG library
ii  libcmap4:amd64                       2.4.2-pve3                     amd64        cluster engine CMAP library
ii  libcorosync-common4:amd64            2.4.2-pve3                     amd64        cluster engine common library
ii  libcpg4:amd64                        2.4.2-pve3                     amd64        cluster engine CPG library
ii  libdevmapper-event1.02.1:amd64       2:1.02.137-pve6                amd64        Linux Kernel Device Mapper event support library
ii  libdevmapper1.02.1:amd64             2:1.02.137-pve6                amd64        Linux Kernel Device Mapper userspace library
ii  liblvm2app2.2:amd64                  2.02.168-pve6                  amd64        LVM2 application library
ii  liblvm2cmd2.02:amd64                 2.02.168-pve6                  amd64        LVM2 command library
ii  libnvpair1linux                      0.7.3-pve1~bpo9                amd64        Solaris name-value library for Linux
ii  libpve-access-control                5.0-7                          amd64        Proxmox VE access control library
ii  libpve-common-perl                   5.0-25                         all          Proxmox VE base library
ii  libpve-guest-common-perl             2.0-14                         all          Proxmox VE common guest-related modules
ii  libpve-http-server-perl              2.0-8                          all          Proxmox Asynchrounous HTTP Server Implementation
ii  libpve-storage-perl                  5.0-17                         all          Proxmox VE storage management library
ii  libquorum5:amd64                     2.4.2-pve3                     amd64        cluster engine Quorum library
ii  libtotem-pg5:amd64                   2.4.2-pve3                     amd64        cluster engine Totem library
ii  libuutil1linux                       0.7.3-pve1~bpo9                amd64        Solaris userland utility library for Linux
ii  libvotequorum8:amd64                 2.4.2-pve3                     amd64        cluster engine Votequorum library
ii  libzfs2linux                         0.7.3-pve1~bpo9                amd64        OpenZFS filesystem library for Linux
ii  libzpool2linux                       0.7.3-pve1~bpo9                amd64        OpenZFS pool library for Linux
ii  lvm2                                 2.02.168-pve6                  amd64        Linux Logical Volume Manager
ii  lxc-pve                              2.1.1-2                        amd64        Linux containers usersapce tools
ii  novnc-pve                            0.6-4                          amd64        HTML5 VNC client
ii  pve-cluster                          5.0-19                         amd64        Cluster Infrastructure for Proxmox Virtual Environment
ii  pve-container                        2.0-18                         all          Proxmox VE Container management tool
ii  pve-docs                             5.1-12                         all          Proxmox VE Documentation
ii  pve-firewall                         3.0-5                          amd64        Proxmox VE Firewall
ii  pve-firmware                         2.0-3                          all          Binary firmware code for the pve-kernel
ii  pve-ha-manager                       2.0-4                          amd64        Proxmox VE HA Manager
ii  pve-kernel-4.13.13-2-pve             4.13.13-32                     amd64        The Proxmox PVE Kernel Image
ii  pve-libspice-server1                 0.12.8-3                       amd64        SPICE remote display system server library
ii  pve-manager                          5.1-41                         amd64        Proxmox Virtual Environment Management Tools
ii  pve-qemu-kvm                         2.9.1-5                        amd64        Full virtualization on x86 hardware
ii  pve-xtermjs                          1.0-2                          amd64        HTML/JS Shell client
ii  spl                                  0.7.3-pve1~bpo9                amd64        Solaris Porting Layer user-space utilities for Linux
ii  tar                                  1.29b-2+pve.1                  amd64        GNU version of the tar archiving utility
ii  zfs-initramfs                        0.7.3-pve1~bpo9                all          OpenZFS root filesystem capabilities for Linux - initramfs
ii  zfsutils-linux                       0.7.3-pve1~bpo9                amd64        command-line tools to manage OpenZFS filesystems



# dpkg -S pvesh
pve-manager: /usr/bin/pvesh
pve-manager: /usr/share/man/man1/pvesh.1.gz



# pveversion -v
proxmox-ve: 5.1-32 (running kernel: 4.13.13-2-pve)
pve-manager: 5.1-41 (running version: 5.1-41/0b958203)
pve-kernel-4.13.13-2-pve: 4.13.13-32
libpve-http-server-perl: 2.0-8
lvm2: 2.02.168-pve6
corosync: 2.4.2-pve3
libqb0: 1.0.1-1
pve-cluster: 5.0-19
qemu-server: 5.0-18
pve-firmware: 2.0-3
libpve-common-perl: 5.0-25
libpve-guest-common-perl: 2.0-14
libpve-access-control: 5.0-7
libpve-storage-perl: 5.0-17
pve-libspice-server1: 0.12.8-3
vncterm: 1.5-3
pve-docs: 5.1-12
pve-qemu-kvm: 2.9.1-5
pve-container: 2.0-18
pve-firewall: 3.0-5
pve-ha-manager: 2.0-4
ksm-control-daemon: 1.2-2
glusterfs-client: 3.8.8-1
lxc-pve: 2.1.1-2
lxcfs: 2.0.8-1
criu: 2.11.1-1~bpo90
novnc-pve: 0.6-4
smartmontools: 6.5+svn4324-1
zfsutils-linux: 0.7.3-pve1~bpo9



# pvesh get nodes
200 OK
[
...
]



curl -s -k https://localhost:8006 | grep title
    <title>home - Proxmox Virtual Environment</title>



# tail -f /var/log/pveproxy/access.log
192.168.2.11 - root@pam [25/12/2017:20:22:38 +0200] "GET /api2/json/cluster/tasks HTTP/1.1" 200 438
192.168.2.11 - root@pam [25/12/2017:20:22:40 +0200] "GET /api2/json/cluster/resources HTTP/1.1" 200 891
192.168.2.11 - root@pam [25/12/2017:20:22:45 +0200] "GET /api2/json/cluster/tasks HTTP/1.1" 200 447
192.168.2.11 - root@pam [25/12/2017:20:22:47 +0200] "GET /api2/json/cluster/resources HTTP/1.1" 200 891
^C



# netstat -apn | grep 8006
tcp        0      0 0.0.0.0:8006            0.0.0.0:*               LISTEN      17125/pveproxy
tcp        0      0 192.168.2.10:8006       192.168.2.11:58514      ESTABLISHED 17126/pveproxy work



# pve-firewall status
Status: disabled/running
 

etrasait

New Member
Dec 26, 2019
2
0
1
39
Hi to all and sry for open a old thread.
I have the same issue and follow all the thread up to down, i have connection to the node (192.168.254.173) can do ssh but cant access gui
No firewall rules, no curl response from 192. neither 127.
No response from tail access

netstat:
tcp 36 0 0.0.0.0:8006 0.0.0.0:* LISTEN 1550/pveproxy

my response from pvesh get nodes:
Code:
┌──────────┬────────┬───────┬───────┬────────┬───────────┬──────────┬─────────────────────────────────────────────────────────────────────────────────────────────────┬─────────┐

│ node     │ status │   cpu │ level │ maxcpu │    maxmem │      mem │ ssl_fingerprint                                                                                 │  uptime │

╞══════════╪════════╪═══════╪═══════╪════════╪═══════════╪══════════╪═════════════════════════════════════════════════════════════════════════════════════════════════╪═════════╡

│ proxmox1 │ online │ 3.52% │       │      4 │  3.81 GiB │ 2.84 GiB │ A1:48:10:55:E2:06:0B:EA:07:85:80:3E:C3:65:F1:B0:B9:A0:D2:1E:25:32:5F:EE:64:BC:13:0B:ED:F0:8E:28 │  50m 4s │

├──────────┼────────┼───────┼───────┼────────┼───────────┼──────────┼─────────────────────────────────────────────────────────────────────────────────────────────────┼─────────┤

│ proxmox2 │ online │ 4.01% │       │     16 │ 35.33 GiB │ 3.01 GiB │ 7E:79:1B:1D:08:4F:C1:04:C5:99:93:68:E7:F3:71:35:DE:8E:97:04:3F:B9:BA:7E:2B:40:96:9E:76:02:69:6D │ 47m 12s │

├──────────┼────────┼───────┼───────┼────────┼───────────┼──────────┼─────────────────────────────────────────────────────────────────────────────────────────────────┼─────────┤

│ proxmox3 │ online │ 2.53% │       │     16 │ 35.33 GiB │ 3.19 GiB │ A7:F6:1C:DA:95:E0:46:D5:C8:AF:32:1E:F8:E5:AF:AB:F5:19:65:2C:E3:DA:17:4F:F3:B2:F1:E3:E0:87:39:0F │ 48m 29s │

└──────────┴────────┴───────┴───────┴────────┴───────────┴──────────┴─────────────────────────────────────────────────────────────────────────────────────────────────┴─────────┘
Any tips to go further?
 

udo

Famous Member
Apr 22, 2009
5,888
166
83
Ahrensburg; Germany
Hi to all and sry for open a old thread.
I have the same issue and follow all the thread up to down, i have connection to the node (192.168.254.173) can do ssh but cant access gui
No firewall rules, no curl response from 192. neither 127.
No response from tail access

netstat:
tcp 36 0 0.0.0.0:8006 0.0.0.0:* LISTEN 1550/pveproxy

my response from pvesh get nodes:
Code:
┌──────────┬────────┬───────┬───────┬────────┬───────────┬──────────┬─────────────────────────────────────────────────────────────────────────────────────────────────┬─────────┐

│ node     │ status │   cpu │ level │ maxcpu │    maxmem │      mem │ ssl_fingerprint                                                                                 │  uptime │

╞══════════╪════════╪═══════╪═══════╪════════╪═══════════╪══════════╪═════════════════════════════════════════════════════════════════════════════════════════════════╪═════════╡

│ proxmox1 │ online │ 3.52% │       │      4 │  3.81 GiB │ 2.84 GiB │ A1:48:10:55:E2:06:0B:EA:07:85:80:3E:C3:65:F1:B0:B9:A0:D2:1E:25:32:5F:EE:64:BC:13:0B:ED:F0:8E:28 │  50m 4s │

├──────────┼────────┼───────┼───────┼────────┼───────────┼──────────┼─────────────────────────────────────────────────────────────────────────────────────────────────┼─────────┤

│ proxmox2 │ online │ 4.01% │       │     16 │ 35.33 GiB │ 3.01 GiB │ 7E:79:1B:1D:08:4F:C1:04:C5:99:93:68:E7:F3:71:35:DE:8E:97:04:3F:B9:BA:7E:2B:40:96:9E:76:02:69:6D │ 47m 12s │

├──────────┼────────┼───────┼───────┼────────┼───────────┼──────────┼─────────────────────────────────────────────────────────────────────────────────────────────────┼─────────┤

│ proxmox3 │ online │ 2.53% │       │     16 │ 35.33 GiB │ 3.19 GiB │ A7:F6:1C:DA:95:E0:46:D5:C8:AF:32:1E:F8:E5:AF:AB:F5:19:65:2C:E3:DA:17:4F:F3:B2:F1:E3:E0:87:39:0F │ 48m 29s │

└──────────┴────────┴───────┴───────┴────────┴───────────┴──────────┴─────────────────────────────────────────────────────────────────────────────────────────────────┴─────────┘
Any tips to go further?
Hi,
what is the output of
Code:
ip a s
on proxmox1?

And what do you type exactly in the webbrowser?

What kind of browser?

Udo
 

etrasait

New Member
Dec 26, 2019
2
0
1
39
Thx for ur sooner answer

ip a s (on proxmox3 is where is the issue)

Code:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enp3s0f0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq master vmbr0 state UP group default qlen 1000
    link/ether 10:1f:74:36:7e:4c brd ff:ff:ff:ff:ff:ff
3: enp3s0f1: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc mq master bond3 state UP group default qlen 1000
    link/ether 10:1f:74:36:7e:4e brd ff:ff:ff:ff:ff:ff
4: enp4s0f0: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc mq master bond3 state UP group default qlen 1000
    link/ether 10:1f:74:36:7e:4e brd ff:ff:ff:ff:ff:ff
5: enp4s0f1: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 10:1f:74:36:7e:56 brd ff:ff:ff:ff:ff:ff
6: bond3: <BROADCAST,MULTICAST,MASTER,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 10:1f:74:36:7e:4e brd ff:ff:ff:ff:ff:ff
    inet 10.2.0.3/24 scope global bond3
       valid_lft forever preferred_lft forever
    inet6 fe80::121f:74ff:fe36:7e4e/64 scope link
       valid_lft forever preferred_lft forever
7: vmbr0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 10:1f:74:36:7e:4c brd ff:ff:ff:ff:ff:ff
    inet 192.168.254.173/24 scope global vmbr0
       valid_lft forever preferred_lft forever
    inet6 fe80::121f:74ff:fe36:7e4c/64 scope link
       valid_lft forever preferred_lft forever
8: tap103i0: <BROADCAST,MULTICAST,PROMISC,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast master fwbr103i0 state UNKNOWN group default qlen 1000
    link/ether de:19:a8:90:f7:fd brd ff:ff:ff:ff:ff:ff
9: fwbr103i0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 9a:7a:33:36:e1:83 brd ff:ff:ff:ff:ff:ff
10: fwpr103p0@fwln103i0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue master vmbr0 state UP group default qlen 1000
    link/ether b6:55:b1:42:4a:49 brd ff:ff:ff:ff:ff:ff
11: fwln103i0@fwpr103p0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue master fwbr103i0 state UP group default qlen 1000
    link/ether 9a:7a:33:36:e1:83 brd ff:ff:ff:ff:ff:ff

I try to connect with firefox to https://192.168.254.173:8006/
 

oguz

Proxmox Staff Member
Staff member
Nov 19, 2018
1,979
203
63
check if the pveproxy service is running

look in systemctl and journalctl for possible errors
 

joace

Member
Nov 4, 2014
6
0
21
Just reporting have the same issue, the system left for a weekend without any touch, the GUI can't be accessed any longer, but the SSH is still working. pvestad and pveproxy services are running, the pve packages are updated to the latest as 6/29/2020

The strange thing I observed is I'm seeing some other nic devices created, but not in interface profile, not sure why they come up. I also confirmed bother cluster and host firewall are disabled.

21: tap102i0: <BROADCAST,MULTICAST,PROMISC,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast master fwbr102i0 state UNKNOWN group default qlen 1000
link/ether 36:74:55:1b:66:95 brd ff:ff:ff:ff:ff:ff
22: fwbr102i0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
link/ether f6:2e:5c:0f:61:8f brd ff:ff:ff:ff:ff:ff
23: fwpr102p0@fwln102i0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue master vmbr0 state UP group default qlen 1000
link/ether f2:7f:ac:09:15:85 brd ff:ff:ff:ff:ff:ff
24: fwln102i0@fwpr102p0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue master fwbr102i0 state UP group default qlen 1000
link/ether f6:2e:5c:0f:61:8f brd ff:ff:ff:ff:ff:ff
 

joace

Member
Nov 4, 2014
6
0
21
Just reporting have the same issue, the system left for a weekend without any touch, the GUI can't be accessed any longer, but the SSH is still working. pvestad and pveproxy services are running, the pve packages are updated to the latest as 6/29/2020

The strange thing I observed is I'm seeing some other nic devices created, but not in interface profile, not sure why they come up. I also confirmed bother cluster and host firewall are disabled.

21: tap102i0: <BROADCAST,MULTICAST,PROMISC,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast master fwbr102i0 state UNKNOWN group default qlen 1000
link/ether 36:74:55:1b:66:95 brd ff:ff:ff:ff:ff:ff
22: fwbr102i0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
link/ether f6:2e:5c:0f:61:8f brd ff:ff:ff:ff:ff:ff
23: fwpr102p0@fwln102i0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue master vmbr0 state UP group default qlen 1000
link/ether f2:7f:ac:09:15:85 brd ff:ff:ff:ff:ff:ff
24: fwln102i0@fwpr102p0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue master fwbr102i0 state UP group default qlen 1000
link/ether f6:2e:5c:0f:61:8f brd ff:ff:ff:ff:ff:ff
Just realized the issue doesn't relate to above new vnic, suppose they are the vnic created for VMs, just digging where is the problem.
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE and Proxmox Mail Gateway. We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!